package com.ruoyi.kaohe.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 模板考核项关联对象 kh_tem_item
 * 
 * @author hs
 * @date 2025-06-17
 */
public class KhTemItem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 模板名称 */
    @Excel(name = "模板名称")
    private String temName;

    /** 考核项id */
    @Excel(name = "考核项id")
    private Long khitemId;

    /** 考核项名称 */
    @Excel(name = "考核项名称")
    private String itemName;

    /** 模板id */
    @Excel(name = "模板id")
    private Long temId;

    /** 考核类型id */
    // @Excel(name = "考核类型id")
    private Long typeId;

    /** 考核类型 */
    @Excel(name = "考核类型")
    private String type;

    public Long getTypeId() {
        return typeId;
    }

    public void setTypeId(Long typeId) {
        this.typeId = typeId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setTemName(String temName) 
    {
        this.temName = temName;
    }

    public String getTemName() 
    {
        return temName;
    }

    public void setKhitemId(Long khitemId) 
    {
        this.khitemId = khitemId;
    }

    public Long getKhitemId() 
    {
        return khitemId;
    }

    public void setItemName(String itemName) 
    {
        this.itemName = itemName;
    }

    public String getItemName() 
    {
        return itemName;
    }

    public void setTemId(Long temId) 
    {
        this.temId = temId;
    }

    public Long getTemId() 
    {
        return temId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("temName", getTemName())
            .append("khitemId", getKhitemId())
            .append("itemName", getItemName())
            .append("temId", getTemId())
            .toString();
    }
}
